/**
 * Main2 部件模型
 *
 * @export
 * @class Main2Model
 */
export default class Main2Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main2Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'emwplistcostid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'wplistcostinfo',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'itemname',
        prop: 'itemname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'adate',
        prop: 'adate',
        dataType: 'DATETIME',
      },
      {
        name: 'itemdesc',
        prop: 'itemdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'labservicename',
        prop: 'labservicename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'listprice',
        prop: 'listprice',
        dataType: 'CURRENCY',
      },
      {
        name: 'discnt',
        prop: 'discnt',
        dataType: 'FLOAT',
      },
      {
        name: 'price',
        prop: 'price',
        dataType: 'CURRENCY',
      },
      {
        name: 'taxrate',
        prop: 'taxrate',
        dataType: 'FLOAT',
      },
      {
        name: 'pricecdt',
        prop: 'pricecdt',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'unitname',
        prop: 'unitname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'unitdesc',
        prop: 'unitdesc',
        dataType: 'TEXT',
      },
      {
        name: 'unitrate',
        prop: 'unitrate',
        dataType: 'FLOAT',
      },
      {
        name: 'rempname',
        prop: 'rempname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'begindate',
        prop: 'begindate',
        dataType: 'DATE',
      },
      {
        name: 'enddate',
        prop: 'enddate',
        dataType: 'DATE',
      },
      {
        name: 'intunitflag',
        prop: 'intunitflag',
        dataType: 'YESNO',
      },
      {
        name: 'sunitprice',
        prop: 'sunitprice',
        dataType: 'FLOAT',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'SSCODELIST',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'emwplistcostid',
        prop: 'emwplistcostid',
        dataType: 'GUID',
      },
      {
        name: 'emwplistcost',
        prop: 'emwplistcostid',
        dataType: 'FONTKEY',
      },
    ]
  }

}